Bug 887769 - Review Request: lv2-newtonator - an LV2 soft synth using velocity and acceleration
Review Request: lv2-newtonator - an LV2 soft synth using velocity and acceler...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-12-17 04:46 EST by Brendan Jones
Modified: 2013-02-17 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-17 13:10:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-12-17 04:46:39 EST
The Newtonator is an LV2 soft synth that uses a unique algorithm based on
simple ideas of velocity and acceleration to produce some unpredictable sounds.

SPEC: http://bsjones.fedorapeople.org/reviews/lv2-newtonator.spec
SRPM: http://bsjones.fedorapeople.org/reviews/lv2-newtonator-0.6.0-1.fc18.src.rpm

lv2-newtonator.src: W: spelling-error Summary(en_US) synth -> synthesis
lv2-newtonator.src: W: spelling-error %description -l en_US synth -> synthesis
lv2-newtonator.x86_64: W: spelling-error Summary(en_US) synth -> synthesis
lv2-newtonator.x86_64: W: spelling-error %description -l en_US synth -> synthesis
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 1 Mamoru TASAKA 2013-02-02 13:46:30 EST
Looks good, will check in detail later.
By the way, build fails on F-18 although you seem to have created your srpm on F-18, is it okay? (build on F-19 is fine):

http://koji.fedoraproject.org/koji/taskinfo?taskID=4923947
Comment 2 Mamoru TASAKA 2013-02-03 01:50:18 EST
Okay, (while I don't know well about lv2) the packaging for this package is okay. If it is expected that your srpm don't build on F-18, I can approve this.
Comment 3 Brendan Jones 2013-02-09 01:58:57 EST
I believe its due to the latest STK only being in rawhide at this stage.
Comment 4 Mamoru TASAKA 2013-02-09 02:07:35 EST
Well, I am asking this because it is questionable that stk maintainer will update stk to 4.4.4 on also F-18 (and I guess it will not happen currently), while you seem to be using F-18. So maybe you want to patch lv-newtonator or ask stk maintainer to update also on F-18.

Anyway, again the packaging for this package is okay, so I am approving this.

------------------------------------------------------------
    This package (lv2-newtonator) is APPROVED by mtasaka
------------------------------------------------------------
Comment 5 Brendan Jones 2013-02-09 02:12:28 EST
Thanks for the review. I will be pushing for the STK update to be propagated through to f-17

New Package SCM Request
=======================
Package Name: lv2-newtonator
Short Description: An LV2 soft synth using velocity and acceleration
Owners: bsjones
Branches: f17 f18
Comment 6 Gwyn Ciesla 2013-02-09 15:40:01 EST
Git done (by process-git-requests).
Comment 7 Mamoru TASAKA 2013-02-17 13:10:54 EST
Closing as there is already rawhide build for this.

Note You need to log in before you can comment on or make changes to this bug.